<types>
   <type><dbus>i</dbus><human>int32</human></type>
   <type><dbus>x</dbus><human>int64</human></type>
   <type><dbus>y</dbus><human>byte</human></type>
   <type><dbus>b</dbus><human>bool</human></type>
   <type><dbus>n</dbus><human>int16</human></type>
   <type><dbus>q</dbus><human>int16</human></type>
   <type><dbus>u</dbus><human>uint32</human></type>
   <type><dbus>t</dbus><human>uint64</human></type>
   <type><dbus>d</dbus><human>double</human></type>
   <type><dbus>s</dbus><human>string</human></type>
   <type><dbus>o</dbus><human>objectpath</human></type>
   <type><dbus>v</dbus><human>variant</human></type>
   <type><dbus>a</dbus><human>array of</human></type>
   <type><dbus>{</dbus><human>dict {</human></type>
   <type><dbus>(</dbus><human>struct (</human></type>
   <type><dbus>}</dbus><human>}</human></type>
   <type><dbus>)</dbus><human>)</human></type>
</types>
